
Base Distribution - Task # 41179

Story # 40628 (Closed): As any user, I need a Content Module based on semantic technologies (IKS)

Status: Closed Priority: Must have
Author: Sebastian Kurfuerst Category:
Created: 2012-09-21 Assigned To: Sebastian Kurfuerst
Updated: 2012-10-04 Due date:
Subject: when editing two-column content (f.e. on Phoenix site), selection of one column content does not work; 

always, the two-column is selected
Description

Associated revisions
Revision 626a5694 - 2012-09-24 12:19 - Sebastian Kurfuerst

[BUGFIX] Show content element handles for nested content elements

Directly after adding a "TwoColumn" content element, the handles for
all nested sections should also be drawn. Because VIE does not do this,
we just refresh CreateJS then.

Resolves: #41179
Change-Id: Ib191786554e85e4b534c3d713c325d63a517b141

Revision aa015092 - 2012-09-24 14:58 - Sebastian Kurfuerst

[BUGFIX] fix non-editable overlay behavior

This change fixes the behavior of the non-editable overlay with the following
detail changes:

- the "hover" state now works consistently with the content element outlines
- the "hover" state now works with nested content elements
- the overlay is not shown for elements with sub-content (like a two-column
  element)
- the size of the overlay is recalculated if its contents change

Resolves: #41179
Change-Id: Ic28644ffacf944cf50ba016c9d97951973e5bac2

History
#1 - 2012-09-24 10:08 - Sebastian Kurfuerst
- Status changed from New to Accepted

#2 - 2012-09-24 12:19 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14976

2015-08-03 1/2

http://review.typo3.org/14976


#3 - 2012-09-24 13:12 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14980

#4 - 2012-09-24 13:12 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review

#5 - 2012-09-24 14:58 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14980

#6 - 2012-09-24 15:35 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:aa015092f146c624901f1039369f80f0ec192cdc.

#7 - 2012-10-04 13:54 - Markus Goldbeck
- Status changed from Resolved to Closed
- Estimated time set to 0.00
- Remaining (hours) set to 0.0
